libksba-dev_1.3.2-1+deb8u1_amd64.deb


Advertisement

Description

libksba-dev - X.509 and CMS support library - development files

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libksba-dev
Package version 1.3.2
Package release 1+deb8u1
Package architecture amd64
Package type deb
Installed size 436 B
Download size 126.83 KB
Official Mirror ftp.br.debian.org
KSBA (pronounced Kasbah) is a library to make X.509 certificates as
well as the CMS easily accessible by other applications.  Both
specifications are building blocks of S/MIME and TLS.
KSBA provides these subsystems: ASN.1 Parser, BER Decoder, BER
Encoder, Certificate Handling and CMS Handling.
This package contains the development library files.

Alternatives

Package Version Architecture Repository
libksba-dev_1.3.2-1+deb8u1_i386.deb 1.3.2 i386 Debian Main
libksba-dev - - -

Requires

Name Value
libksba8 = 1.3.2-1+deb8u1

Replaces

Name Value
libksba0 -

Download

Type URL
Binary Package libksba-dev_1.3.2-1+deb8u1_amd64.deb
Source Package libksba

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libksba-dev deb package:
    # sudo apt-get install libksba-dev

Files

Path
/usr/bin/ksba-config
/usr/include/ksba.h
/usr/lib/x86_64-linux-gnu/libksba.a
/usr/lib/x86_64-linux-gnu/libksba.so
/usr/share/aclocal/ksba.m4
/usr/share/doc/libksba-dev/changelog.Debian.gz
/usr/share/doc/libksba-dev/changelog.gz
/usr/share/doc/libksba-dev/copyright
/usr/share/info/ksba.info.gz
/usr/share/man/man1/ksba-config.1.gz

Changelog

2016-05-16 - Salvatore Bonaccorso <carnil@debian.org>
libksba (1.3.2-1+deb8u1) jessie; urgency=medium
* Non-maintainer upload.
* Do not abort on decoder stack overflow (CVE-2016-4353)
* Fix integer overflow in the BER decoder (CVE-2016-4354 CVE-2016-4355)
* Fix encoding of invalid utf-8 strings in dn.c (CVE-2016-4356)
* Fix an OOB read access in _ksba_dn_to_str
* Fix possible read access beyond the buffer (CVE-2016-4579)
2014-11-25 - Andreas Metzler <ametzler@debian.org>
libksba (1.3.2-1) unstable; urgency=high
* New upstream security release, fixing a buffer overflow in ksba_oid_to_str
in Libksba. Closes: #770972
2014-09-26 - Andreas Metzler <ametzler@debian.org>
libksba (1.3.1-1) unstable; urgency=medium
* New upstream bugfix release.
2013-12-23 - Andreas Metzler <ametzler@debian.org>
libksba (1.3.0-3) unstable; urgency=medium
* Point vcs* to git.
* Convert to dh, compat level 9.
* Add debian/upstream-signing-key.pgp (listed in
debian/source/include-binaries) and update watchfile to check
upstream signature.
* Sync from Ubuntu:
+ Build using dh-autoreconf. (Does not benefit us yet on Debian, but will
fix FTBFS on ppc64le once #726404 is fixed.)
2013-05-11 - Andreas Metzler <ametzler@debian.org>
libksba (1.3.0-2) unstable; urgency=low
* Upload to unstable.
* Use dh v8 compat.
2012-09-29 - Andreas Metzler <ametzler@debian.org>
libksba (1.3.0-1) experimental; urgency=low
* New upstream version.
+ License of library changed from GPLv3+ to LGPLv3+/GPLv2. (Commandline
utils and documentation stay GPLv3+).
* [lintian]: Drop "Section: libs" from libksba binary package stanza in
debian/control.
2011-06-19 - Andreas Metzler <ametzler@debian.org>
libksba (1.2.0-2) unstable; urgency=low
* Build for multi-arch.
* Stop setting CFLAGS += -Wall, it is set by default again.
2011-03-05 - Andreas Metzler <ametzler@debian.org>
libksba (1.2.0-1) unstable; urgency=low
* New upstream version.
* Symbols added, bump shlibs.
2011-02-19 - Andreas Metzler <ametzler@debian.org>
libksba (1.1.0-2) unstable; urgency=low
* Upload to unstable.
* Set CFLAGS += -Wall, the latest combination of cdbs + dpkg-dev does not
seem to set it by default.
2010-12-22 - Andreas Metzler <ametzler@debian.org>
libksba (1.1.0-1) experimental; urgency=low
* New upstream version.
* Change libksba-dev dependency on libksba8 to =${binary:Version (from >=).
* Build-depend on libgpg-error-dev (>= 1.8).
* Symbols added, bump shlibs.
* Use dpkg-source v3, drop cdbs simple-patchsys.
* New upstream does not build static libs by default, invoke ./configure
with --enable-static.
* Switch to dh compat level 7. (No changes except for bumping
cdbs/debhelper build-depends.

See Also

Package Description
libksba8_1.3.2-1+deb8u1_amd64.deb X.509 and CMS support library
libkscreen-dev_1.0.5-1_amd64.deb library for screen management - development files
libkscreen1_1.0.5-1_amd64.deb library for screen management - shared library
libkscreensaver5_4.11.13-2_amd64.deb library of the KDE Screensaver system
libksgrd4_4.11.13-2_amd64.deb library for ksysguard
libksieve4_4.14.1-1+deb8u1_amd64.deb Sieve, the mail filtering language, library
libksieveui4_4.14.1-1+deb8u1_amd64.deb Sieve, the mail filtering language, GUI library
libksignalplotter4_4.11.13-2_amd64.deb KSignalPlotter widget
libkst2core2_2.0.3-3_amd64.deb kst core library
libkst2math2_2.0.3-3_amd64.deb kst math library
libkst2widgets2_2.0.3-3_amd64.deb kst widgets library
libktexteditor4_4.14.2-5+deb8u2_amd64.deb KTextEditor interfaces for the KDE Platform
libktnef4_4.14.2-2+deb8u2_amd64.deb library for handling TNEF data
libktoblzcheck1-dev_1.47-1_amd64.deb library for verification of account numbers and bank codes (development files)
libktoblzcheck1c2a_1.47-1_amd64.deb library for verification of account numbers and bank codes
Advertisement
Advertisement